Subject: Re: bug#43255: 28.0.50; feature/native-comp void-function subr-native-lambda-list

From: Andrea Corallo <[email-masked]>
Date: Tue, 08 Sep 2020 14:54:31 +0000

Eli Zaretskii <[email-masked]> writes:

>> From: Stefan Kangas <[email-masked]>
>> Date: Tue, 8 Sep 2020 00:47:04 -0700
>> Cc: [email-masked], Andrea Corallo <[email-masked]>
>> 
>> > as it's a minor feature that moreover has no effect at all until some
>> > Lisp files are compiled with it.
>> 
>> AFAICT, when using the native-comp branch, Lisp files are automatically
>> compiled without me having to do anything.
>
> That'd be a misfeature, I think: it means that users who build their
> own Emacs will have their build take hours.  I'd prefer to have an
> option to delay native compilation to some later time, ideally have it
> JIT-compiled, like Guile does.
>
> Is this possible?

The only files that is mandatory to have compiled Ahead of Time are the
one dumped, the rest of emacs is up to the user to do them Aot or not.

Right I'm gonna set the default so that the bare minimum is compiled
AoT.

That said I think what Stefan meant is precisely that compilation is
happening automatically Jit like with no user intervention.

  Andrea